Update from 2.3.5-RELEASE-p1 to 2.3.5-RELEASE-p2 "libicui18n.so.59" not found



  • I update my 2.3.5-RELEASE-p1 (amd64) to 2.3.5-RELEASE-p2 (amd64), this is with pfblockerNG and suricata disabled.  I got this during the reboot

    Launching the init system...
    Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    .... done.
    Initialiazing.................. done.
    

    When I got back in the GUI I add a crash report that I summited.

    Crash report begins.  Anonymous machine information:
    
    amd64
    10.3-RELEASE-p29
    FreeBSD 10.3-RELEASE-p29 #2 bcd9eac820e(RELENG_2_3): Wed May  9 05:41:40 CDT 2018     root@ce23-amd64-builder:/builder/pfsense-235/tmp/obj/builder/pfsense-235/tmp/FreeBSD-src/sys/pfSense
    
    Crash report details:
    
    PHP Errors:
    [19-May-2018 22:46:33 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    [19-May-2018 22:46:33 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    [19-May-2018 22:46:34 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    [19-May-2018 22:46:36 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    [19-May-2018 22:47:28 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    [19-May-2018 22:47:28 America/New_York] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.59" not found, required by "intl.so" in Unknown on line 0
    
    Filename: /var/crash/minfree
    2048
    

    I found

    ls -al /usr/local/lib/libicui18n*
    -rw-r--r--  1 root  wheel  6109404 May  7 15:29 /usr/local/lib/libicui18n.a
    lrwxr-xr-x  1 root  wheel       18 May  7 15:29 /usr/local/lib/libicui18n.so -> libicui18n.so.61.1
    lrwxr-xr-x  1 root  wheel       18 May  7 15:29 /usr/local/lib/libicui18n.so.61 -> libicui18n.so.61.1
    -r-xr-xr-x  1 root  wheel  2986736 May  7 15:29 /usr/local/lib/libicui18n.so.61.1
    

    System seems to run fine. But something broke somewhere.

    I ran the following :

    /usr/local/lib/php: pkg update
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    
    /usr/local/lib/php: pkg upgrade pkg
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking integrity... done (0 conflicting)
    Your packages are up to date.
    

    I rebooted the system and no error during reboot nor no Crash report.



  • Please run:

    
    pkg-static update -f
    pkg-static install -f pkg
    pkg-static upgrade 
    
    

    Then reinstall all installed packages from the WebGUI package manager.



  • I did reinstall pfBlockerNG-dev yesterday before the reboot.

    pkg-static update -f
    Updating pfSense-core repository catalogue...
    Fetching meta.txz: 100%    944 B   0.9kB/s    00:01
    Fetching packagesite.txz: 100%    2 KiB   1.8kB/s    00:01
    Processing entries: 100%
    pfSense-core repository update completed. 8 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: 100%    944 B   0.9kB/s    00:01
    Fetching packagesite.txz: 100%  126 KiB 129.5kB/s    00:01
    Processing entries: 100%
    pfSense repository update completed. 469 packages processed.
    All repositories are up to date.
    
    pkg-static upgrade -f pkg
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):
    
    Installed packages to be REINSTALLED:
            pkg-1.10.5 [pfSense]
    
    Number of packages to be reinstalled: 1
    
    Proceed with this action? [y/N]: y
    [1/1] Reinstalling pkg-1.10.5...
    [1/1] Extracting pkg-1.10.5: 100%
    You may need to manually remove /usr/local/etc/pkg.conf if it is no longer needed.
    
    ls -al /usr/local/etc/pkg.conf
    -rw-r--r--  1 root  wheel  46 May 20 11:48 /usr/local/etc/pkg.conf
    
    cat /usr/local/etc/pkg.conf
    ABI=FreeBSD:10:amd64
    ALTABI=freebsd:10:x86:64
    
    pkg-static upgrade
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (0 candidates): 100%
    Processing candidates (0 candidates): 100%
    Checking integrity... done (0 conflicting)
    Your packages are up to date.
    

    I got this in system logs :

    May 20 11:51:00 	pkg-static 		pkg reinstalled: 1.10.5 -> 1.10.5 
    

 

© Copyright 2002 - 2018 Rubicon Communications, LLC | Privacy Policy